Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.meta
Class CFMetaDataSerializer

    java.lang.Object
      |
      +--com.solarmetric.rd.meta.XMLMetaDataSerializer
            |
            +--com.solarmetric.rd.meta.CFMetaDataSerializer

All Implemented Interfaces:
  MetaDataSerializer

Direct Known Subclasses:
  JDOMetaDataSerializer, XMLMappingInfoSerializer

public abstract class CFMetaDataSerializer
extends XMLMetaDataSerializer

Serializes metadata objects to the common metadata format:
`<!ELEMENT ANY (package*)>
<!ELEMENT package (class*)>
<!ATTLIST package name CDATA #REQUIRED>
<!ELEMENT class ANY>
<!ATTLIST class name CDATA #REQUIRED>
<!ATTLIST class ANY>`

See Also:
  `MetaDataSerializer`

Constructor Summary
`CFMetaDataSerializer()`

Method Summary
`protected java.lang.String` | `getClassName(java.lang.String name)` Returns the given class name, stripping the package if it is not needed.
`protected java.lang.String` | `getDeclaredPackage()` Returns the current package being serialized.
`protected abstract java.lang.String` | `getPackageName(java.lang.Object obj)` Return the package of the given object.
`protected abstract java.lang.String` | `getRootElementName()` Return the name of the document root element.
`protected void` | `serialize(java.util.Collection objs)` Serialize the given set of objects to the given handler.
`protected abstract void` | `serializeClass(java.lang.Object obj)` Serialize the given object representing metadata at the class level.

Methods inherited from class com.solarmetric.rd.meta.XMLMetaDataSerializer
`addAttribute, endElement, getLog, getObjects, reset, serialize, serialize, serialize, serialize, serialize, setLog, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFMetaDataSerializer

    public CFMetaDataSerializer()

Method Detail

### getPackageName

    protected abstract java.lang.String getPackageName(java.lang.Object obj)

  Return the package of the given object.

### getRootElementName

    protected abstract java.lang.String getRootElementName()

  Return the name of the document root element.

### serialize

    protected void serialize(java.util.Collection objs)
                      throws org.xml.sax.SAXException

  Description copied from class: `XMLMetaDataSerializer`
  Serialize the given set of objects to the given handler.

  Specified by:
    `serialize` in class `XMLMetaDataSerializer`
    `org.xml.sax.SAXException`

### serializeClass

    protected abstract void serializeClass(java.lang.Object obj)
                                    throws org.xml.sax.SAXException

  Serialize the given object representing metadata at the class level.

    `org.xml.sax.SAXException`

### getDeclaredPackage

    protected java.lang.String getDeclaredPackage()

  Returns the current package being serialized.

### getClassName

    protected java.lang.String getClassName(java.lang.String name)

  Returns the given class name, stripping the package if it is not needed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.